﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using Microsoft.Phone.Controls;

namespace AuthExample.Views
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();

            FacebookLogin.AuthenticationCompleted += LoginAuthenticationCompleted;
            FacebookLogin.AuthenticationDenied += LoginAuthenticationDenied;
            FacebookLogin.AuthenticationException += LoginAuthenticationException;
       
        }
        void LoginAuthenticationException(object sender, Infragistics.Controls.Authentication.AuthenticationExceptionEventArgs e)
        {
            MessageBox.Show("Authentication Exception:" + e.Exception.Message);
        }

        void LoginAuthenticationDenied(object sender, Infragistics.Controls.Authentication.AuthenticationDeniedEventArgs e)
        {
            MessageBox.Show("Authentication Denied:" + e.AuthenticationDeniedResult.Error);
        }

        void LoginAuthenticationCompleted(object sender, Infragistics.Controls.Authentication.AuthenticationCompletedEventArgs e)
        {
            MessageBox.Show("Authentication Completed:" + e.AuthenticationResult.AuthenticationToken);
            FillViewModel(e.AuthenticationResult.UserData);
            NavigationService.Navigate(new Uri("/Views/UserDetails.xaml", UriKind.Relative));
        }

        private void FillViewModel(Dictionary<string, string> userData)
        {
            App.ViewModel.Username = userData.Single(r => r.Key == "username").Value;
            App.ViewModel.Name = userData.Single(r => r.Key == "name").Value;
            App.ViewModel.Gender = userData.Single(r => r.Key == "gender").Value;
            App.ViewModel.Email = userData.Single(r => r.Key == "email").Value;
            App.ViewModel.Link = userData.Single(r => r.Key == "link").Value;
            App.ViewModel.Bio = userData.Single(r => r.Key == "bio").Value;
            App.ViewModel.Quotes = userData.Single(r => r.Key == "quotes").Value;
        }
    }
}