﻿using System;
using System.Windows.Input;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace AuthExample.Views
{
    public partial class UserDetails : PhoneApplicationPage
    {
        public UserDetails()
        {
            InitializeComponent();
            DataContext = App.ViewModel;
        }

        private void LinkImage_Tap(object sender, GestureEventArgs e)
        {
            try
            {
                if (!String.IsNullOrEmpty(LinkTextBlock.Text))
                {
                    var browserTask = new WebBrowserTask();
                    browserTask.Uri = new Uri(LinkTextBlock.Text, UriKind.Absolute);
                    browserTask.Show();
                }
            }
            catch(InvalidOperationException ex)
            {
                if (ex.Message != "Navigation is not allowed when the task is not in the foreground. Error: -2147220990")
                    throw ex;
            }
        }

        private void EmailImage_Tap(object sender, GestureEventArgs e)
        {
            try
            {
                if (!String.IsNullOrEmpty(EmailTextBlock.Text))
                {
                    var mailTask = new EmailComposeTask();
                    mailTask.To = EmailTextBlock.Text;
                    mailTask.Show();
                }
            }
            catch (InvalidOperationException ex)
            {
                if (ex.Message != "Navigation is not allowed when the task is not in the foreground. Error: -2147220990")
                    throw ex;
            }
        }
    }
}